PCRE2_SUBSTRING_LENGTH_BYNUMBER(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_substring_length_bynumber(pcre2_match_data *match_data,
  uint32_t number, PCRE2_SIZE *length);

DESCRIPTION

This function returns the length of a matched substring, identified by number. The arguments are:

  match_data The match data block for the match
  number The substring number
  length Where to return the length, or NULL

The third argument may be NULL if all you want to know is whether or not a substring is set. The yield is zero on success, or a negative error code otherwise. After a partial match, only substring 0 is available.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.